Well here is what I know.  As of now more or less the license
maybe compatible.  I am releasing with the clause that if the
author of Ruby comes back and doesnt offer a license to us I 
will be pulling it back from the tree.  Im sorry but licensing
is licensing.  

--Brian Fertig
  mod_ruby - Developer/Maintainer
